(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(abbrev-file-name "/home/bandali/.emacs.d/var/abbrev.el")
 '(auth-sources '("~/.authinfo.gpg"))
 '(authinfo-hidden "\\(?:client-secret\\|password\\|token\\)")
 '(auto-revert-verbose nil)
 '(auto-save-file-name-transforms '((".*" "/home/bandali/.emacs.d/var/auto-save/" t)))
 '(backup-by-copying t)
 '(company-dabbrev-char-regexp "\\sw\\|\\s_\\|[-_]" t)
 '(company-dabbrev-downcase nil t)
 '(company-dabbrev-ignore-case nil t)
 '(company-minimum-prefix-length 1)
 '(company-selection-wrap-around t)
 '(debpaste-paste-is-hidden t t)
 '(delete-old-versions t)
 '(display-battery-mode t)
 '(display-time-mode t)
 '(dmenu-prompt-string "run: " t)
 '(dmenu-save-file "/home/bandali/.emacs.d/var/dmenu-items" t)
 '(ebdb-gnus-window-configuration
   '(article
     (vertical 1.0
               (summary 0.25 point)
               (horizontal 1.0
                           (article 1.0)
                           (ebdb-gnus 0.3)))))
 '(ebdb-gnus-window-size 0.3)
 '(ebdb-mua-pop-up t)
 '(ediff-split-window-function 'split-window-horizontally t)
 '(ediff-window-setup-function 'ediff-setup-windows-plain t)
 '(epa-pinentry-mode 'loopback)
 '(epg-gpg-program "/home/bandali/.guix-profile/bin/gpg")
 '(epg-pinentry-mode 'loopback)
 '(erc-fill-column 77)
 '(erc-fill-function 'erc-fill-static)
 '(erc-fill-static-center 18)
 '(erc-join-buffer 'bury)
 '(erc-lurker-hide-list '("JOIN" "PART" "QUIT"))
 '(erc-nick "bandali")
 '(erc-pcomplete-nick-postfix ", ")
 '(erc-prompt "erc>")
 '(erc-rename-buffers t)
 '(erc-server-reconnect-attempts 5)
 '(erc-server-reconnect-timeout 3)
 '(erc-track-enable-keybindings nil)
 '(erc-track-exclude-types
   '("JOIN" "MODE" "NICK" "PART" "QUIT" "324" "329" "332" "333" "353" "477"))
 '(erc-track-position-in-mode-line t)
 '(erc-track-priority-faces-only 'all)
 '(erc-track-shorten-function nil)
 '(eshell-directory-name "/home/bandali/.emacs.d/var/eshell/")
 '(eshell-hist-ignoredups t)
 '(eshell-input-filter 'eshell-input-filter-initial-space)
 '(fci-rule-color "#5B6268")
 '(flycheck-mode-line-prefix "flyc")
 '(global-auto-revert-non-file-buffers nil)
 '(gnus-thread-sort-functions
   '(gnus-thread-sort-by-number gnus-thread-sort-by-subject gnus-thread-sort-by-date))
 '(ibuffer-formats
   '((mark modified read-only locked " "
           (name 72 72 :left :elide)
           " "
           (size-h 9 -1 :right)
           " "
           (mode 16 16 :left :elide)
           " " filename-and-process)
     (mark " "
           (name 16 -1)
           " " filename)) t)
 '(ibuffer-saved-filter-groups
   '(("default"
      ("dired"
       (mode . dired-mode))
      ("org"
       (mode . org-mode))
      ("gnus"
       (or
        (mode . gnus-group-mode)
        (mode . gnus-summary-mode)
        (mode . gnus-article-mode)
        (mode . message-mode)))
      ("web"
       (or
        (mode . web-mode)
        (mode . css-mode)
        (mode . scss-mode)
        (mode . js2-mode)))
      ("shell"
       (or
        (mode . eshell-mode)
        (mode . shell-mode)
        (mode . term-mode)))
      ("programming"
       (or
        (mode . python-mode)
        (mode . c-mode)
        (mode . c++-mode)
        (mode . java-mode)
        (mode . emacs-lisp-mode)
        (mode . scheme-mode)
        (mode . haskell-mode)
        (mode . lean-mode)
        (mode . go-mode)
        (mode . alloy-mode)))
      ("tex"
       (or
        (mode . bibtex-mode)
        (mode . latex-mode)))
      ("emacs"
       (or
        (name . "^\\*scratch\\*$")
        (name . "^\\*Messages\\*$")))
      ("exwm"
       (mode . exwm-mode))
      ("erc"
       (mode . erc-mode)))) t)
 '(inhibit-startup-buffer-menu t)
 '(inhibit-startup-echo-area-message "bandali")
 '(inhibit-startup-screen t)
 '(initial-buffer-choice t)
 '(initial-scratch-message nil)
 '(isearch-allow-scroll t)
 '(jdee-db-active-breakpoint-face-colors (cons "#1B2229" "#51afef"))
 '(jdee-db-requested-breakpoint-face-colors (cons "#1B2229" "#98be65"))
 '(jdee-db-spec-breakpoint-face-colors (cons "#1B2229" "#3f444a"))
 '(ls-lisp-dirs-first t)
 '(magit-diff-refine-hunk t t)
 '(magit-display-buffer-function 'magit-display-buffer-fullframe-status-v1 t)
 '(message-elide-ellipsis "[...]
")
 '(minions-mode t)
 '(mm-uu-diff-groups-regexp
   "\\(gmane\\|gnu\\|l\\)\\..*\\(diff\\|commit\\|cvs\\|bug\\|dev\\)")
 '(mml-secure-key-preferences
   '((OpenPGP
      (sign)
      (encrypt
       ("ineiev@gnu.org" "BD9D4DEE7B2FF1CBEF2EE0C4E0ACD3E0CBE7874A")))
     (CMS
      (sign)
      (encrypt))))
 '(mml-secure-openpgp-encrypt-to-self t)
 '(mml-secure-openpgp-sign-with-sender t)
 '(objed-cursor-color "#ff6c6b")
 '(oddmuse-username "bandali" t)
 '(org-agenda-files
   '("~/usr/org/todos/personal.org" "~/usr/org/todos/habits.org" "~/src/git/masters-thesis/todo.org"))
 '(org-agenda-start-on-weekday 0 t)
 '(org-agenda-time-leading-zero t t)
 '(org-habit-graph-column 44 t)
 '(org-latex-packages-alist '(("" "listings") ("" "color")))
 '(org-pretty-entities t)
 '(page-break-lines-max-width 70)
 '(pdf-view-midnight-colors (cons "#bbc2cf" "#282c34"))
 '(pdf-view-resize-factor 1.05)
 '(projectile-completion-system 'ivy)
 '(projectile-mode-line-prefix " proj")
 '(recentf-max-saved-items 2000)
 '(recentf-save-file "/home/bandali/.emacs.d/var/recentf-save.el")
 '(require-final-newline t)
 '(safe-local-variable-values
   '((tex-main-file . "./bandali-mmath-thesis.tex")
     (tex-main-file . "../bandali-mmath-thesis.tex")
     (flycheck-disabled-checkers emacs-lisp-checkdoc)
     (tex-main-file . "./thesis.tex")
     (tex-main-file . "../thesis.tex")
     (org-export-allow-bind-keywords . t)
     (eval load-file "thesis.el")
     (eval modify-syntax-entry 43 "'")
     (eval modify-syntax-entry 36 "'")
     (eval modify-syntax-entry 126 "'")
     (eval require 'org-ref)
     (eval when
           (featurep 'typo
                     (typo-mode -1)))
     (eval add-hook 'after-save-hook #'a/async-babel-tangle 'append 'local)
     (eval add-hook 'after-save-hook 'org-beamer-export-to-latex t t)
     (eval setq org-latex-prefer-user-labels t)
     (eval add-hook 'after-save-hook 'org-latex-export-to-latex t t)))
 '(save-interprogram-paste-before-kill t)
 '(save-place-file "/home/bandali/.emacs.d/var/save-place.el" t)
 '(savehist-file "/home/bandali/.emacs.d/var/savehist.el")
 '(search-default-mode 'char-fold-to-regexp)
 '(split-width-threshold 150)
 '(text-scale-mode-step 1.05 t)
 '(unkillable-buffers '("^\\*scratch\\*$" "^\\*Messages\\*$"))
 '(vc-annotate-background "#282c34")
 '(vc-annotate-color-map
   (list
    (cons 20 "#98be65")
    (cons 40 "#b4be6c")
    (cons 60 "#d0be73")
    (cons 80 "#ECBE7B")
    (cons 100 "#e6ab6a")
    (cons 120 "#e09859")
    (cons 140 "#da8548")
    (cons 160 "#d38079")
    (cons 180 "#cc7cab")
    (cons 200 "#c678dd")
    (cons 220 "#d974b7")
    (cons 240 "#ec7091")
    (cons 260 "#ff6c6b")
    (cons 280 "#cf6162")
    (cons 300 "#9f585a")
    (cons 320 "#6f4e52")
    (cons 340 "#5B6268")
    (cons 360 "#5B6268")))
 '(vc-annotate-very-old-color nil)
 '(vc-git-print-log-follow t)
 '(version-control t)
 '(view-read-only t)
 '(web-mode-enable-auto-indentation nil t)
 '(which-key-add-column-padding 5)
 '(which-key-max-description-length 32))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(dired-directory ((t (:weight semi-bold))))
 '(ivy-current-match ((((class color) (background light)) :background "#d7d7d7" :foreground "black") (((class color) (background dark)) :background "#65a7e2" :foreground "black")))
 '(ivy-minibuffer-match-face-1 ((t (:background "#eeeeee"))))
 '(ivy-minibuffer-match-face-2 ((t (:background "#e7e7e7" :weight bold))))
 '(ivy-minibuffer-match-face-3 ((t (:background "light goldenrod" :weight semi-bold))))
 '(ivy-minibuffer-match-face-4 ((t (:background "misty rose" :weight semi-bold))))
 '(ivy-virtual ((t (:inherit font-lock-builtin-face :foreground "dim gray"))))
 '(magit-diff-file-heading ((t (:weight normal))))
 '(quote (org-block-begin-line ((t (:foreground "#5a5b5a" :background "#1d1f21")))))
 '(widget-button ((t (:weight semi-bold)))))
